Bug 170623 - wish: Provide more information how to get access to a scanner
Summary: wish: Provide more information how to get access to a scanner
Status: RESOLVED FIXED
Alias: None
Product: kolourpaint
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kolourpaint-support
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-07 17:20 UTC by Diederik van der Boor
Modified: 2012-08-14 09:13 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diederik van der Boor 2008-09-07 17:20:30 UTC
Version:           4.1.1 (KDE 4.1.1) "release 31.3" (using 4.1.1 (KDE 4.1.1) "release 31.3", KDE:KDE4:Factory:Desktop / openSUSE_11.0)
Compiler:          gcc
OS:                Linux (i686) release 2.6.25.11-0.1-pae

After installing Kolourpaint, I tried to scan an image. The only error message I got was: "Scanner support is not installed".

This is imho not very helpful, as you don't know how it can be fixed. Could you add least tell the user to install libkscan4?

Next, the error I get is "No scanner device configured" (or something like that, translated to English). Again, what should I do? ;-)

Could you add some message that the user needs to have "sane" configured? or that he/she should use the control panel of their system to configure the scanner device first... ;)

Thanks!
Comment 1 Martin Koller 2012-08-11 13:47:13 UTC
Git commit 41ffc3c7582ef6821e537363aff483b7b56f6717 by Martin Koller.
Committed on 11/08/2012 at 15:32.
Pushed by mkoller into branch 'master'.

improve error message when no scanner dialog plugin was found
FIXED-IN: 4.10

M  +2    -4    mainWindow/kpMainWindow_File.cpp

http://commits.kde.org/kolourpaint/41ffc3c7582ef6821e537363aff483b7b56f6717
Comment 2 Martin Koller 2012-08-14 09:13:19 UTC
Git commit ea8b15ef1b454b610b8e1bf2c6df0c0592e4d954 by Martin Koller.
Committed on 14/08/2012 at 11:08.
Pushed by mkoller into branch 'master'.

help the user and show explanation if no device was found
FIXED-IN: 4.10
REVIEW: 105993
GUI:

M  +24   -5    libksane/ksane_device_dialog.cpp

http://commits.kde.org/libksane/ea8b15ef1b454b610b8e1bf2c6df0c0592e4d954